/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package nl.cloudfarming.client.geoviewer.jxmap.action;

import java.awt.event.ActionEvent;
import java.beans.PropertyChangeListener;
import nl.cloudfarming.client.geoviewer.FieldNodeAction;
import org.openide.util.lookup.ServiceProvider;

/**
 *
 * @author Timon Veenstra
 */
@ServiceProvider(service=FieldNodeAction.class)
public class ExampleFieldNodeAction implements FieldNodeAction{

    private String sensorId = "";

    @Override
    public String getSensorId() {
        return this.sensorId;
    }

    @Override
    public void setSensorId(String sensorId) {
        this.sensorId = sensorId;
    }

    @Override
    public String getTitle() {
        return "example";
    }

    @Override
    public Object getValue(String string) {
        return null;
    }

    @Override
    public void putValue(String string, Object o) {
    }

    @Override
    public void setEnabled(boolean bln) {
    }

    @Override
    public boolean isEnabled() {
        return true;
    }

    @Override
    public void addPropertyChangeListener(PropertyChangeListener pl) {
    }

    @Override
    public void removePropertyChangeListener(PropertyChangeListener pl) {
    }

    @Override
    public void actionPerformed(ActionEvent ae) {
    }

}
